import type { LanguageInput } from '@shikijs/core';
import type { FunctionComponent, ReactNode } from 'react';
import type { ScrollViewProps, TextStyle, ViewStyle } from 'react-native';
export interface SyntaxHighlighterProps {
    code: string;
    language: string;
    languageMap: Record<string, LanguageInput>;
    theme: string;
    textStyle?: TextStyle;
    scrollViewProps?: ScrollViewProps;
    containerStyle?: ViewStyle;
    children?: ReactNode;
}
declare const SyntaxHighlighter: FunctionComponent<SyntaxHighlighterProps>;
export default SyntaxHighlighter;
//# sourceMappingURL=SyntaxHighlighter.d.ts.map